Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01650 Crash/Freeze Critical (emulation) Always Mar 27, 2008, 13:22 Apr 3, 2008, 23:09
Tester Mock View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver namcos22.cpp
Version 0.124 Fixed in Version 0.124u1 Build Normal
Summary 01650: ridgerac: Unstable Freezes that ends with Crash and needs totally reboot under XP
Description When ridge racer start or other Namcos22, it runs 90 FPS or drops to 1 FPS where it freezes random sometime the freeze last longer. first time its possible to exit without problem, next time it freezes the GFX driver so i have to force shutdown mame in Vista, XP needs a complete restart. i found out that mame 1.20 doesnt have this problem and run at a constant framerate. I also tried disable cores and tried diffrent mame option, with disabling multithread. I also tried disabling crossfire so that i appears as a normal Videocard. the DOS,UI and other build has the same problem.

CPU utilization will max out when the picture freezes, where other games runs with variable usages of the cores.
Steps To Reproduce just start mame with default parameters from dos or GUI.
Additional Information System tested that produce the problem
Intel QX9650 3.0ghz 12mb cache
ATI 3870X2 CrossfireX 2GB
X-Fi soundcard
Asus Formula SE
2X 1GB Corsair 8500C5
Flags
Regression Version
Affected Sets / Systems ridgerac
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
12
User avatar
No.00431
Tafoid
Administrator
Mar 27, 2008, 13:51
edited on: Mar 27, 2008, 13:52
Not sure what the issue is. I just tried on my setup (Athlon XP1800 - Windows 2000) on 0.124 and 0.124a and although it was very slow (about 40%-45% with frameskip 10/10) I was able to finish the race on both and there were no high unexpected slowdowns or crashes. Is it possible with all that power on the system you have insufficient cooling - since this game tends to run a processor hard?

I'll wait to see if others can duplicate your problem.
User avatar
No.00432
Mock
Tester
Mar 27, 2008, 14:11
as i write, older versions of mame run good enough. I think maybe i could be a problem with Quadcore because my dualcore worked fine last i checked mame. also it could be some ATI driver issue. but again when an older version of mame run same with about 80& Framerate that it must be something changed in the newer versions. What about the things Aaron Giles talked about making some kind of SLI using dualcore tecnoligy. or other optimizations that only work with dual core but not quadcore
User avatar
No.00433
Mock
Tester
Mar 27, 2008, 14:15
at first i also thougt about the cooling like TMprotection. but im running with all stock speed, alså tested prime95 and other stabability tests that ran fine. I can also test it on a Intel E6750 Vista if this has the same issue. As i remember i also tried running a benchmark with no video output that never finished. don´t know i that eleminates a video driver issue
User avatar
No.00434
Fujix
Administrator
Mar 27, 2008, 15:19
It works fine for me with C2D on XP.

I think the problem is too vague. You have to pinpoint the real cause of the problem if you want someone to take measures to the problem.
Vista vs XP, quad core vs dual core, dual vs single videocard (not only disabling dual card by the utility), with or without -mt, combinations of other MAME configs, etc..

And to avoid confusions, the current baseline release is not a "DOS" version, but a command-line version without UI. Also the version number is not 1.24 but 0.124. Please keep in mind that all texts are subjects to be searched.
User avatar
No.00442
couriersud
Developer
Mar 27, 2008, 23:26
Please try the following:

a) Open a console window (cmd.exe)
b) set OSDPROCESSORS=2
c) mame ridgerac
User avatar
No.00443
Mock
Tester
Mar 27, 2008, 23:43
Thank you very much Courlersud. That fixed the freeze when tried your suggestion, the version i got that dont need that command line is MameFX 0.119U1. what have changed since there is need to set OSDPROCESSORS=2
User avatar
No.00447
etabeta
Developer
Mar 28, 2008, 07:51
so in the end it was a quadcore problem.

notice that OSDPROCESSOR has been added (iirc) in 0.119u3, when multiple cores have been started to be exploited by MAME. you don't need it (nor it is supported) in 0.119u1

@Fujix: shall we close this, or are quadcore bugs supposed to be valid?
User avatar
No.00450
Mock
Tester
Mar 28, 2008, 11:44
its good enough for me to close it now that i solves my crashes. And it runs as before, i tested alot of roms where no problem appeared. I also tried diffrent GUI version that also worked fine.
User avatar
No.00451
Tafoid
Administrator
Mar 28, 2008, 13:34
I'll resolve this bug. Some notice of this parameter should probably be put in the official documents soon.
User avatar
No.00495
aaron
Developer
Apr 1, 2008, 21:40
Re-opening. This is a legitimate bug. You should not have to force the OSDPROCESSORS environment variable to make it work.

More from couriersud:

Using e.g. OSDPROCESSORS=3 on a 2 processor machine will freeze sdlmame
at a random time at 100% cpu usage. The freeze always is attributable to
the scalable lock functions. I replaced the scalable locks with pure
(non-blocking) pthread locks and sdlmame scaled up to OSDPROCESSORS=8.
Setting the cpu affinity mask to bind threads to a given cpu even yields
a comparable performance like the blocking scalable locks.

It looks like that the locks would block as soon as the OS places two
threads on the same processor.

I do not have a solution for windows but just wanted to document what I
found out.
User avatar
No.00506
aaron
Developer
Apr 3, 2008, 07:48
I switched from using scalable locks to Windows CriticalSections, which should prevent the hard hangs. Give it a try.
User avatar
No.00537
Mock
Tester
Apr 3, 2008, 23:09
I tried 0.124u1 and it works perfect and run very fast now. almost 100% in ridgeracer. very good work aaron